Gecode::Kernel::ViewOcc< View > Class Template Reference

Occurence information for a view. More...

`#include <array.hpp>`

## Public Member Functions

bool | operator< (const ViewOcc &y) const
| Sorting order.

## Public Attributes

View | x
| The view.
int | i
| The original index in the array.

## Detailed Description

template<class View>
class Gecode::Kernel::ViewOcc< View >

Occurence information for a view.

Definition at line 50 of file array.hpp.

## Member Function Documentation

## operator<()

template<class View>

bool Gecode::Kernel::ViewOcc< View >::operator< | ( | const ViewOcc< View > & | y | ) | const

inline

Sorting order.

Definition at line 61 of file array.hpp.

## Member Data Documentation

## x

template<class View>

View Gecode::Kernel::ViewOcc< View >::x

The view.

Definition at line 53 of file array.hpp.

## i

template<class View>

int Gecode::Kernel::ViewOcc< View >::i

The original index in the array.

Definition at line 55 of file array.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/data/array.hpp